Summary:	DCCM implementation for WM5 and later devices
Name:		odccm
Version:	0.11
Release:	%mkrel 5
License:	MIT
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Source1:	odccm-odccmd
URL:		http://synce.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	libsynce-devel = %{version}
BuildRequires:	hal-devel
BuildRequires:	gob2
BuildRequires:	glib2-devel
BuildRequires:	libgnet2-devel
BuildRequires:	libdbus-glib-devel
Obsoletes:	synce-%{name}
Conflicts:	synce-kde < 0.9.1-2

%description
%{name} is part of the SynCE project. It is a legacy-free dccm
implementation for Windows Mobile 5 and later devices. A dccm system
is required for making a useful connection, so you should install this
package if you need to synchronize with a Windows Mobile 5 or later
device.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-libsynce=%{_prefix} --enable-legacy-support
%make

%install
rm -rf %buildroot
%makeinstall_std

install -Dpm644 src/odccm.conf \
 %{buildroot}%{_sysconfdir}/dbus-1/system.d/odccm.conf

install -Dpm755 %{SOURCE1} %{buildroot}%{_initrddir}/odccm 

%clean
rm -rf %{buildroot}

%post
%{_post_service odccm}
# Strictly, this is against policy, but it's safe (odccm is not an
# externally accessible server) and works. Saves manual restart of
# odccm or reboot when installing task-wm5sync - AdamW 2008/03
%{_initrddir}/%{name} start 1> /dev/null

%preun
%{_preun_service odccm}

%files
%defattr(-,root,root)
%doc README
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_initrddir}/%{name}
%{_sbindir}/*
%{_mandir}/man1/*


%changelog
* Mon Mar 24 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-5mdv2008.1
+ Revision: 189808
- start service in %%post (save need for manual start or reboot)
- initscript: don't let multiple instances of odccm be run

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-4mdv2008.1
+ Revision: 187020
- doh, fix description

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-3mdv2008.1
+ Revision: 187014
- better description
- odccm service requires haldaemon (Adam Piggz)
- start odccm by default in runlevels 3, 4 and 5

* Wed Jan 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 153782
- start odccm as a daemon (init from fedora)
- add legacy support
- fix odccm.conf perms

* Thu Jan 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-1mdv2008.1
+ Revision: 147698
- import odccm


